RanklyBee logoRanklyBee
Contacts

Verify a contact address

Requires the contacts:write scope.

POST
/workspaces/{workspaceId}/sites/{siteId}/contacts/{contactId}/verify

Requires the contacts:write scope.

Authorization

bearerAuth
AuthorizationBearer <token>

Use a token created in Settings → API access.

In: header

Path Parameters

workspaceId*string

Workspace ID returned by GET /workspaces.

siteId*string

Site ID returned by GET /workspaces/{workspaceId}/sites.

contactId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

RanklyBee verifies the address with the configured Hunter provider.

idempotencyKey*string
Length8 <= length <= 160

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/workspaces/string/sites/string/contacts/string/verify" \  -H "Content-Type: application/json" \  -d '{    "idempotencyKey": "stringst"  }'
{  "ok": true,  "data": {    "id": "string",    "email": "user@example.com",    "fullName": "string",    "role": "string",    "roleCategory": "string",    "company": "string",    "source": "string",    "sourceProvider": "string",    "sourceUrl": "http://example.com",    "sourceReference": "string",    "status": "string",    "verificationStatus": "string",    "lastVerifiedAt": "2019-08-24T14:15:22Z",    "suppressionReason": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}